LIBKYPOWERMANAGEMENT(3)

NAME
kdk_set_inhibit_lockscreen, kdk_un_inhibit_lockscreen - 提供锁屏设置能力

SYNOPSIS
#include <libkylockscreen.h>

extern uint32_t kdk_set_inhibit_lockscreen(const char *appName, const char *reason);

extern int kdk_un_inhibit_lockscreen(uint32_t flag);

Link with -lkypowermanagement.

Detailed Description
This library provides lock screen setting capabilities.

RETURN VALUE
The return value is generally specific to the individual function called.

CONFORMING TO
These functions are as per the withdrawn POSIX.1e draft specification. The following functions are Linux extensions: kdk_set_inhibit_lockscreen() and kdk_un_inhibit_lockscreen().

SEE ALSO
kdk_set_inhibit_lockscreen(3) and kdk_un_inhibit_lockscreen(3).